import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanAccountConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/account digitalocean_account}
*/
export declare class DataDigitaloceanAccount extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_account";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/account digitalocean_account} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanAccountConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanAccountConfig);
    get dropletLimit(): number;
    get email(): string;
    get emailVerified(): cdktf.IResolvable;
    get floatingIpLimit(): number;
    get id(): string;
    get status(): string;
    get statusMessage(): string;
    get uuid(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
