import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanDomainConfig extends cdktf.TerraformMetaArguments {
    /**
    * name of the domain
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domain#name DataDigitaloceanDomain#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/domain digitalocean_domain}
*/
export declare class DataDigitaloceanDomain extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_domain";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/domain digitalocean_domain} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanDomainConfig
    */
    constructor(scope: Construct, id: string, config: DataDigitaloceanDomainConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get ttl(): number;
    get urn(): string;
    get zoneFile(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
