import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanDomainsConfig extends cdktf.TerraformMetaArguments {
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#filter DataDigitaloceanDomains#filter}
    */
    readonly filter?: DataDigitaloceanDomainsFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#sort DataDigitaloceanDomains#sort}
    */
    readonly sort?: DataDigitaloceanDomainsSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanDomainsDomains {
}
export declare function dataDigitaloceanDomainsDomainsToTerraform(struct?: DataDigitaloceanDomainsDomains): any;
export declare class DataDigitaloceanDomainsDomainsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanDomainsDomains | undefined;
    set internalValue(value: DataDigitaloceanDomainsDomains | undefined);
    get name(): string;
    get ttl(): number;
    get urn(): string;
}
export declare class DataDigitaloceanDomainsDomainsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanDomainsDomainsOutputReference;
}
export interface DataDigitaloceanDomainsFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#all DataDigitaloceanDomains#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#key DataDigitaloceanDomains#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#match_by DataDigitaloceanDomains#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#values DataDigitaloceanDomains#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanDomainsFilterToTerraform(struct?: DataDigitaloceanDomainsFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanDomainsSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#direction DataDigitaloceanDomains#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/domains#key DataDigitaloceanDomains#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanDomainsSortToTerraform(struct?: DataDigitaloceanDomainsSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/domains digitalocean_domains}
*/
export declare class DataDigitaloceanDomains extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_domains";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/domains digitalocean_domains} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanDomainsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanDomainsConfig);
    private _domains;
    get domains(): DataDigitaloceanDomainsDomainsList;
    get id(): string;
    private _filter?;
    get filter(): DataDigitaloceanDomainsFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanDomainsFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanDomainsFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanDomainsSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanDomainsSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanDomainsSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
