import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanImagesConfig extends cdktf.TerraformMetaArguments {
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#filter DataDigitaloceanImages#filter}
    */
    readonly filter?: DataDigitaloceanImagesFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#sort DataDigitaloceanImages#sort}
    */
    readonly sort?: DataDigitaloceanImagesSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanImagesImages {
}
export declare function dataDigitaloceanImagesImagesToTerraform(struct?: DataDigitaloceanImagesImages): any;
export declare class DataDigitaloceanImagesImagesOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanImagesImages | undefined;
    set internalValue(value: DataDigitaloceanImagesImages | undefined);
    get created(): string;
    get description(): string;
    get distribution(): string;
    get errorMessage(): string;
    get id(): number;
    get image(): string;
    get minDiskSize(): number;
    get name(): string;
    get private(): cdktf.IResolvable;
    get regions(): string[];
    get sizeGigabytes(): number;
    get slug(): string;
    get status(): string;
    get tags(): string[];
    get type(): string;
}
export declare class DataDigitaloceanImagesImagesList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanImagesImagesOutputReference;
}
export interface DataDigitaloceanImagesFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#all DataDigitaloceanImages#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#key DataDigitaloceanImages#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#match_by DataDigitaloceanImages#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#values DataDigitaloceanImages#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanImagesFilterToTerraform(struct?: DataDigitaloceanImagesFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanImagesSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#direction DataDigitaloceanImages#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/images#key DataDigitaloceanImages#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanImagesSortToTerraform(struct?: DataDigitaloceanImagesSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/images digitalocean_images}
*/
export declare class DataDigitaloceanImages extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_images";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/images digitalocean_images} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanImagesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanImagesConfig);
    get id(): string;
    private _images;
    get images(): DataDigitaloceanImagesImagesList;
    private _filter?;
    get filter(): DataDigitaloceanImagesFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanImagesFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanImagesFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanImagesSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanImagesSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanImagesSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
