import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanProjectConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/project#name DataDigitaloceanProject#name}
    */
    readonly name?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/project digitalocean_project}
*/
export declare class DataDigitaloceanProject extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_project";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/project digitalocean_project} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanProjectConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanProjectConfig);
    get createdAt(): string;
    get description(): string;
    get environment(): string;
    get id(): string;
    get isDefault(): cdktf.IResolvable;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get ownerId(): number;
    get ownerUuid(): string;
    get purpose(): string;
    get resources(): string[];
    get updatedAt(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
