import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanRecordsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#domain DataDigitaloceanRecords#domain}
    */
    readonly domain: string;
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#filter DataDigitaloceanRecords#filter}
    */
    readonly filter?: DataDigitaloceanRecordsFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#sort DataDigitaloceanRecords#sort}
    */
    readonly sort?: DataDigitaloceanRecordsSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanRecordsRecords {
}
export declare function dataDigitaloceanRecordsRecordsToTerraform(struct?: DataDigitaloceanRecordsRecords): any;
export declare class DataDigitaloceanRecordsRecordsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanRecordsRecords | undefined;
    set internalValue(value: DataDigitaloceanRecordsRecords | undefined);
    get domain(): string;
    get flags(): number;
    get id(): number;
    get name(): string;
    get port(): number;
    get priority(): number;
    get tag(): string;
    get ttl(): number;
    get type(): string;
    get value(): string;
    get weight(): number;
}
export declare class DataDigitaloceanRecordsRecordsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanRecordsRecordsOutputReference;
}
export interface DataDigitaloceanRecordsFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#all DataDigitaloceanRecords#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#key DataDigitaloceanRecords#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#match_by DataDigitaloceanRecords#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#values DataDigitaloceanRecords#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanRecordsFilterToTerraform(struct?: DataDigitaloceanRecordsFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanRecordsSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#direction DataDigitaloceanRecords#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/records#key DataDigitaloceanRecords#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanRecordsSortToTerraform(struct?: DataDigitaloceanRecordsSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/records digitalocean_records}
*/
export declare class DataDigitaloceanRecords extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_records";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/records digitalocean_records} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanRecordsConfig
    */
    constructor(scope: Construct, id: string, config: DataDigitaloceanRecordsConfig);
    private _domain?;
    get domain(): string;
    set domain(value: string);
    get domainInput(): string | undefined;
    get id(): string;
    private _records;
    get records(): DataDigitaloceanRecordsRecordsList;
    private _filter?;
    get filter(): DataDigitaloceanRecordsFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanRecordsFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanRecordsFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanRecordsSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanRecordsSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanRecordsSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
