import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanRegionsConfig extends cdktf.TerraformMetaArguments {
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#filter DataDigitaloceanRegions#filter}
    */
    readonly filter?: DataDigitaloceanRegionsFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#sort DataDigitaloceanRegions#sort}
    */
    readonly sort?: DataDigitaloceanRegionsSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanRegionsRegions {
}
export declare function dataDigitaloceanRegionsRegionsToTerraform(struct?: DataDigitaloceanRegionsRegions): any;
export declare class DataDigitaloceanRegionsRegionsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanRegionsRegions | undefined;
    set internalValue(value: DataDigitaloceanRegionsRegions | undefined);
    get available(): cdktf.IResolvable;
    get features(): string[];
    get name(): string;
    get sizes(): string[];
    get slug(): string;
}
export declare class DataDigitaloceanRegionsRegionsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanRegionsRegionsOutputReference;
}
export interface DataDigitaloceanRegionsFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#all DataDigitaloceanRegions#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#key DataDigitaloceanRegions#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#match_by DataDigitaloceanRegions#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#values DataDigitaloceanRegions#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanRegionsFilterToTerraform(struct?: DataDigitaloceanRegionsFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanRegionsSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#direction DataDigitaloceanRegions#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/regions#key DataDigitaloceanRegions#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanRegionsSortToTerraform(struct?: DataDigitaloceanRegionsSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/regions digitalocean_regions}
*/
export declare class DataDigitaloceanRegions extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_regions";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/regions digitalocean_regions} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanRegionsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanRegionsConfig);
    get id(): string;
    private _regions;
    get regions(): DataDigitaloceanRegionsRegionsList;
    private _filter?;
    get filter(): DataDigitaloceanRegionsFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanRegionsFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanRegionsFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanRegionsSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanRegionsSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanRegionsSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
