import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanSpacesBucketsConfig extends cdktf.TerraformMetaArguments {
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#filter DataDigitaloceanSpacesBuckets#filter}
    */
    readonly filter?: DataDigitaloceanSpacesBucketsFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#sort DataDigitaloceanSpacesBuckets#sort}
    */
    readonly sort?: DataDigitaloceanSpacesBucketsSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanSpacesBucketsBuckets {
}
export declare function dataDigitaloceanSpacesBucketsBucketsToTerraform(struct?: DataDigitaloceanSpacesBucketsBuckets): any;
export declare class DataDigitaloceanSpacesBucketsBucketsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanSpacesBucketsBuckets | undefined;
    set internalValue(value: DataDigitaloceanSpacesBucketsBuckets | undefined);
    get bucketDomainName(): string;
    get name(): string;
    get region(): string;
    get urn(): string;
}
export declare class DataDigitaloceanSpacesBucketsBucketsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanSpacesBucketsBucketsOutputReference;
}
export interface DataDigitaloceanSpacesBucketsFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#all DataDigitaloceanSpacesBuckets#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#key DataDigitaloceanSpacesBuckets#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#match_by DataDigitaloceanSpacesBuckets#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#values DataDigitaloceanSpacesBuckets#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanSpacesBucketsFilterToTerraform(struct?: DataDigitaloceanSpacesBucketsFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanSpacesBucketsSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#direction DataDigitaloceanSpacesBuckets#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets#key DataDigitaloceanSpacesBuckets#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanSpacesBucketsSortToTerraform(struct?: DataDigitaloceanSpacesBucketsSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets digitalocean_spaces_buckets}
*/
export declare class DataDigitaloceanSpacesBuckets extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_spaces_buckets";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/spaces_buckets digitalocean_spaces_buckets} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanSpacesBucketsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanSpacesBucketsConfig);
    private _buckets;
    get buckets(): DataDigitaloceanSpacesBucketsBucketsList;
    get id(): string;
    private _filter?;
    get filter(): DataDigitaloceanSpacesBucketsFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanSpacesBucketsFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanSpacesBucketsFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanSpacesBucketsSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanSpacesBucketsSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanSpacesBucketsSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
