import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanTagConfig extends cdktf.TerraformMetaArguments {
    /**
    * name of the tag
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tag#name DataDigitaloceanTag#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/tag digitalocean_tag}
*/
export declare class DataDigitaloceanTag extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_tag";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/tag digitalocean_tag} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanTagConfig
    */
    constructor(scope: Construct, id: string, config: DataDigitaloceanTagConfig);
    get databasesCount(): number;
    get dropletsCount(): number;
    get id(): string;
    get imagesCount(): number;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get totalResourceCount(): number;
    get volumeSnapshotsCount(): number;
    get volumesCount(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
