import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDigitaloceanTagsConfig extends cdktf.TerraformMetaArguments {
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#filter DataDigitaloceanTags#filter}
    */
    readonly filter?: DataDigitaloceanTagsFilter[] | cdktf.IResolvable;
    /**
    * sort block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#sort DataDigitaloceanTags#sort}
    */
    readonly sort?: DataDigitaloceanTagsSort[] | cdktf.IResolvable;
}
export interface DataDigitaloceanTagsTags {
}
export declare function dataDigitaloceanTagsTagsToTerraform(struct?: DataDigitaloceanTagsTags): any;
export declare class DataDigitaloceanTagsTagsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataDigitaloceanTagsTags | undefined;
    set internalValue(value: DataDigitaloceanTagsTags | undefined);
    get databasesCount(): number;
    get dropletsCount(): number;
    get imagesCount(): number;
    get name(): string;
    get totalResourceCount(): number;
    get volumeSnapshotsCount(): number;
    get volumesCount(): number;
}
export declare class DataDigitaloceanTagsTagsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataDigitaloceanTagsTagsOutputReference;
}
export interface DataDigitaloceanTagsFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#all DataDigitaloceanTags#all}
    */
    readonly all?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#key DataDigitaloceanTags#key}
    */
    readonly key: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#match_by DataDigitaloceanTags#match_by}
    */
    readonly matchBy?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#values DataDigitaloceanTags#values}
    */
    readonly values: string[];
}
export declare function dataDigitaloceanTagsFilterToTerraform(struct?: DataDigitaloceanTagsFilter | cdktf.IResolvable): any;
export interface DataDigitaloceanTagsSort {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#direction DataDigitaloceanTags#direction}
    */
    readonly direction?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/d/tags#key DataDigitaloceanTags#key}
    */
    readonly key: string;
}
export declare function dataDigitaloceanTagsSortToTerraform(struct?: DataDigitaloceanTagsSort | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/d/tags digitalocean_tags}
*/
export declare class DataDigitaloceanTags extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "digitalocean_tags";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/d/tags digitalocean_tags} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDigitaloceanTagsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDigitaloceanTagsConfig);
    get id(): string;
    private _tags;
    get tags(): DataDigitaloceanTagsTagsList;
    private _filter?;
    get filter(): DataDigitaloceanTagsFilter[] | cdktf.IResolvable;
    set filter(value: DataDigitaloceanTagsFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataDigitaloceanTagsFilter[] | undefined;
    private _sort?;
    get sort(): DataDigitaloceanTagsSort[] | cdktf.IResolvable;
    set sort(value: DataDigitaloceanTagsSort[] | cdktf.IResolvable);
    resetSort(): void;
    get sortInput(): cdktf.IResolvable | DataDigitaloceanTagsSort[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
