import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DatabaseFirewallConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall#cluster_id DatabaseFirewall#cluster_id}
    */
    readonly clusterId: string;
    /**
    * rule block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall#rule DatabaseFirewall#rule}
    */
    readonly rule: DatabaseFirewallRule[] | cdktf.IResolvable;
}
export interface DatabaseFirewallRule {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall#type DatabaseFirewall#type}
    */
    readonly type: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall#value DatabaseFirewall#value}
    */
    readonly value: string;
}
export declare function databaseFirewallRuleToTerraform(struct?: DatabaseFirewallRule | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall digitalocean_database_firewall}
*/
export declare class DatabaseFirewall extends cdktf.TerraformResource {
    static readonly tfResourceType = "digitalocean_database_firewall";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/r/database_firewall digitalocean_database_firewall} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DatabaseFirewallConfig
    */
    constructor(scope: Construct, id: string, config: DatabaseFirewallConfig);
    private _clusterId?;
    get clusterId(): string;
    set clusterId(value: string);
    get clusterIdInput(): string | undefined;
    get id(): string;
    private _rule?;
    get rule(): DatabaseFirewallRule[] | cdktf.IResolvable;
    set rule(value: DatabaseFirewallRule[] | cdktf.IResolvable);
    get ruleInput(): cdktf.IResolvable | DatabaseFirewallRule[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
