import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DropletSnapshotConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/droplet_snapshot#droplet_id DropletSnapshot#droplet_id}
    */
    readonly dropletId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/droplet_snapshot#name DropletSnapshot#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/r/droplet_snapshot digitalocean_droplet_snapshot}
*/
export declare class DropletSnapshot extends cdktf.TerraformResource {
    static readonly tfResourceType = "digitalocean_droplet_snapshot";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/r/droplet_snapshot digitalocean_droplet_snapshot} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DropletSnapshotConfig
    */
    constructor(scope: Construct, id: string, config: DropletSnapshotConfig);
    get createdAt(): string;
    private _dropletId?;
    get dropletId(): string;
    set dropletId(value: string);
    get dropletIdInput(): string | undefined;
    get id(): string;
    get minDiskSize(): number;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get regions(): string[];
    get size(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
