import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ProjectResourcesConfig extends cdktf.TerraformMetaArguments {
    /**
    * project ID
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/project_resources#project ProjectResources#project}
    */
    readonly project: string;
    /**
    * the resources associated with the project
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/digitalocean/r/project_resources#resources ProjectResources#resources}
    */
    readonly resources: string[];
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/digitalocean/r/project_resources digitalocean_project_resources}
*/
export declare class ProjectResources extends cdktf.TerraformResource {
    static readonly tfResourceType = "digitalocean_project_resources";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/digitalocean/r/project_resources digitalocean_project_resources} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ProjectResourcesConfig
    */
    constructor(scope: Construct, id: string, config: ProjectResourcesConfig);
    get id(): string;
    private _project?;
    get project(): string;
    set project(value: string);
    get projectInput(): string | undefined;
    private _resources?;
    get resources(): string[];
    set resources(value: string[]);
    get resourcesInput(): string[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
